#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const Path = tslib_1.__importStar(require("path"));
const main_function_1 = require("main-function");
const node_fetch_1 = tslib_1.__importDefault(require("node-fetch"));
const proxy_agent_1 = tslib_1.__importDefault(require("proxy-agent"));
const _utils_1 = require("./@utils");
const { HTTP_PROXY } = process.env;
const agent = HTTP_PROXY
    ? new proxy_agent_1.default(HTTP_PROXY)
    : undefined;
(0, main_function_1.main)(async () => {
    const { url, strip = 0, path = '.', } = require(Path.resolve('.boilerplate-options.json'));
    const response = await (0, node_fetch_1.default)(url, { agent });
    const extractStream = (0, _utils_1.Extract)({
        path,
        strip,
    }, console.info);
    response.body.pipe(extractStream);
    await extractStream.promise();
});
//# sourceMappingURL=main.js.map